Device Activity​
POST
/reports/activity
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Request Body​
application/x-www-form-urlencoded
deviceId
number
Required
The device id to get the data for
Format
""dateRange
string
Required
The date range to get the data for, in epoch milliseconds, [start, end]
Format
"JSON"parameters
string
Optional parameters, as JSON object, use the APP and developer console to see the options
Format
"JSON"POST
/reports/activity
Request example
Responses​
Request was successful
application/json
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}